summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-3
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-3')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-csharp-311
1 files changed, 1 insertions, 10 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-3 b/gettext-tools/tests/xgettext-csharp-3
index 432b218..30d9a9b 100755..100644
--- a/gettext-tools/tests/xgettext-csharp-3
+++ b/gettext-tools/tests/xgettext-csharp-3
@@ -3,10 +3,6 @@
# More tests for C# support: string syntax
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-cs-3.cs"
LC_ALL=C tr '%' '\015' <<\EOF > xg-cs-3.cs
class TestCase {
public static void Main (String[] args) {
@@ -52,14 +48,11 @@ comment! */ "this is a single " /* now comes the concatenation! */ + // after +
}
EOF
-tmpfiles="$tmpfiles xg-cs-3.po"
: ${XGETTEXT=xgettext}
# delete POT-Creation-Date: line because the date depends on local time.
${XGETTEXT} --output - --add-location -c -kMyGetString:2 xg-cs-3.cs 2>/dev/null \
- | sed '/\"POT-Creation-Date:.*/d' | LC_ALL=C tr -d '\r' > xg-cs-3.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ | sed '/\"POT-Creation-Date:.*/d' | LC_ALL=C tr -d '\r' > xg-cs-3.po || exit 1
-tmpfiles="$tmpfiles xg-cs-3.ok"
cat <<\EOF > xg-cs-3.ok
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
@@ -175,6 +168,4 @@ EOF
${DIFF} xg-cs-3.ok xg-cs-3.po
result=$?
-rm -fr $tmpfiles
-
exit $result